__author__ = 'Shyue Ping Ong'
__copyright__ = 'Copyright 2014, The Materials Virtual Lab'
__version__ = '0.1'
__maintainer__ = 'Shyue Ping Ong'
__email__ = 'ongsp@ucsd.edu'
__date__ = '1/24/14'


import unittest
import os

from monty.serialization import dumpfn, loadfn


class SerialTest(unittest.TestCase):

    def test_dumpfn_loadfn(self):
        d = {"hello": "world"}
        dumpfn(d, "monte_test.json", indent=4)
        d2 = loadfn("monte_test.json")
        self.assertEqual(d, d2)
        os.remove("monte_test.json")
        dumpfn(d, "monte_test.yaml", default_flow_style=False)
        d2 = loadfn("monte_test.yaml")
        self.assertEqual(d, d2)
        dumpfn(d, "monte_test.yaml")
        d2 = loadfn("monte_test.yaml")
        os.remove("monte_test.yaml")
        dumpfn(d, "monte_test.mpk")
        d2 = loadfn("monte_test.mpk")
        self.assertEqual(d, {k.decode('utf-8'): v.decode('utf-8') for k, v in d2.items()})
        os.remove("monte_test.mpk")


if __name__ == "__main__":
    unittest.main()
